# PSF-LoginServer - master - net.psforever.objects.zones.Zone.EquipmentIs
PSF - LoginServer - master - net.psforever.objects.zones.Zone.EquipmentIs
Keywords: PSF LoginServer master net.psforever.objects.zones.Zone.EquipmentIs

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  object Zone
  Definition Classes
    zones
- ClientInitialization
- Corpse
- Deployable
- EquipmentIs
- Ground
- HotSpot
- Population
- Vehicle

o

net.psforever.objects.zones.Zone

# EquipmentIs

###

#### object EquipmentIs

Source
  Zone.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EquipmentIs
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class InContainer (obj: Container, index: Int) extends ItemLocation with Product with Serializable

   The target item is contained within another object.

   The target item is contained within another object.

   obj

     the containing object

   index

     the slot where the target is located

   See also

     `GridInventory`
     `Container`

2.  sealed trait ItemLocation extends AnyRef

   Tha base `trait` connecting all `Equipment` object location tokens.

3.  final case class OnGround () extends ItemLocation with Product with Serializable

   The target item is found on the Ground.

   The target item is found on the Ground.

   See also

     `ZoneGroundActor`

4.  final case class Orphaned () extends ItemLocation with Product with Serializable

   The target item exists but could not be found belonging to any expected region of the location.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Where(equipment: Equipment, guid: PlanetSideGUID, continent: Zone): Option[ItemLocation]

   An exhaustive search of the provided zone is conducted in search of the target `Equipment` object and a token that qualifies the current location of the object in the zone is returned.

   An exhaustive search of the provided zone is conducted in search of the target `Equipment` object and a token that qualifies the current location of the object in the zone is returned. The following groups of objects are searched: the inventories of all players and all corpses, all vehicles trunks, the lockers of all players and corpses; and, if still not found, the ground is scoured too.

   equipment

     the target object

   guid

     that target object's globally unique identifier

   continent

     the zone whose objects to search

   returns

     a token that explains where the object is, if it is found in this zone; `None` is the token that is used to indicate not having been found

   See also

     `ItemLocation`
     `LockerContainer`

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped